"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateGrantInput_1 = require("./CreateGrantInput");
var CreateGrantOutput_1 = require("./CreateGrantOutput");
var NotFoundException_1 = require("./NotFoundException");
var DisabledException_1 = require("./DisabledException");
var DependencyTimeoutException_1 = require("./DependencyTimeoutException");
var InvalidArnException_1 = require("./InvalidArnException");
var KMSInternalException_1 = require("./KMSInternalException");
var InvalidGrantTokenException_1 = require("./InvalidGrantTokenException");
var LimitExceededException_1 = require("./LimitExceededException");
var KMSInvalidStateException_1 = require("./KMSInvalidStateException");
var ServiceMetadata_1 = require("./ServiceMetadata");
exports.CreateGrant = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateGrant",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateGrantInput_1.CreateGrantInput
    },
    output: {
        shape: CreateGrantOutput_1.CreateGrantOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: DisabledException_1.DisabledException
        },
        {
            shape: DependencyTimeoutException_1.DependencyTimeoutException
        },
        {
            shape: InvalidArnException_1.InvalidArnException
        },
        {
            shape: KMSInternalException_1.KMSInternalException
        },
        {
            shape: InvalidGrantTokenException_1.InvalidGrantTokenException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: KMSInvalidStateException_1.KMSInvalidStateException
        }
    ]
};
//# sourceMappingURL=CreateGrant.js.map