"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateKeyInput_1 = require("./CreateKeyInput");
var CreateKeyOutput_1 = require("./CreateKeyOutput");
var MalformedPolicyDocumentException_1 = require("./MalformedPolicyDocumentException");
var DependencyTimeoutException_1 = require("./DependencyTimeoutException");
var InvalidArnException_1 = require("./InvalidArnException");
var UnsupportedOperationException_1 = require("./UnsupportedOperationException");
var KMSInternalException_1 = require("./KMSInternalException");
var LimitExceededException_1 = require("./LimitExceededException");
var TagException_1 = require("./TagException");
var ServiceMetadata_1 = require("./ServiceMetadata");
exports.CreateKey = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateKey",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateKeyInput_1.CreateKeyInput
    },
    output: {
        shape: CreateKeyOutput_1.CreateKeyOutput
    },
    errors: [
        {
            shape: MalformedPolicyDocumentException_1.MalformedPolicyDocumentException
        },
        {
            shape: DependencyTimeoutException_1.DependencyTimeoutException
        },
        {
            shape: InvalidArnException_1.InvalidArnException
        },
        {
            shape: UnsupportedOperationException_1.UnsupportedOperationException
        },
        {
            shape: KMSInternalException_1.KMSInternalException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: TagException_1.TagException
        }
    ]
};
//# sourceMappingURL=CreateKey.js.map