"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteImportedKeyMaterialInput_1 = require("./DeleteImportedKeyMaterialInput");
var DeleteImportedKeyMaterialOutput_1 = require("./DeleteImportedKeyMaterialOutput");
var InvalidArnException_1 = require("./InvalidArnException");
var UnsupportedOperationException_1 = require("./UnsupportedOperationException");
var DependencyTimeoutException_1 = require("./DependencyTimeoutException");
var NotFoundException_1 = require("./NotFoundException");
var KMSInternalException_1 = require("./KMSInternalException");
var KMSInvalidStateException_1 = require("./KMSInvalidStateException");
var ServiceMetadata_1 = require("./ServiceMetadata");
exports.DeleteImportedKeyMaterial = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteImportedKeyMaterial",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteImportedKeyMaterialInput_1.DeleteImportedKeyMaterialInput
    },
    output: {
        shape: DeleteImportedKeyMaterialOutput_1.DeleteImportedKeyMaterialOutput
    },
    errors: [
        {
            shape: InvalidArnException_1.InvalidArnException
        },
        {
            shape: UnsupportedOperationException_1.UnsupportedOperationException
        },
        {
            shape: DependencyTimeoutException_1.DependencyTimeoutException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: KMSInternalException_1.KMSInternalException
        },
        {
            shape: KMSInvalidStateException_1.KMSInvalidStateException
        }
    ]
};
//# sourceMappingURL=DeleteImportedKeyMaterial.js.map