"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var EnableKeyInput_1 = require("./EnableKeyInput");
var EnableKeyOutput_1 = require("./EnableKeyOutput");
var NotFoundException_1 = require("./NotFoundException");
var InvalidArnException_1 = require("./InvalidArnException");
var DependencyTimeoutException_1 = require("./DependencyTimeoutException");
var KMSInternalException_1 = require("./KMSInternalException");
var LimitExceededException_1 = require("./LimitExceededException");
var KMSInvalidStateException_1 = require("./KMSInvalidStateException");
var ServiceMetadata_1 = require("./ServiceMetadata");
exports.EnableKey = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "EnableKey",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: EnableKeyInput_1.EnableKeyInput
    },
    output: {
        shape: EnableKeyOutput_1.EnableKeyOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: InvalidArnException_1.InvalidArnException
        },
        {
            shape: DependencyTimeoutException_1.DependencyTimeoutException
        },
        {
            shape: KMSInternalException_1.KMSInternalException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: KMSInvalidStateException_1.KMSInvalidStateException
        }
    ]
};
//# sourceMappingURL=EnableKey.js.map