"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var EnableKeyRotationInput_1 = require("./EnableKeyRotationInput");
var EnableKeyRotationOutput_1 = require("./EnableKeyRotationOutput");
var NotFoundException_1 = require("./NotFoundException");
var DisabledException_1 = require("./DisabledException");
var InvalidArnException_1 = require("./InvalidArnException");
var DependencyTimeoutException_1 = require("./DependencyTimeoutException");
var KMSInternalException_1 = require("./KMSInternalException");
var KMSInvalidStateException_1 = require("./KMSInvalidStateException");
var UnsupportedOperationException_1 = require("./UnsupportedOperationException");
var ServiceMetadata_1 = require("./ServiceMetadata");
exports.EnableKeyRotation = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "EnableKeyRotation",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: EnableKeyRotationInput_1.EnableKeyRotationInput
    },
    output: {
        shape: EnableKeyRotationOutput_1.EnableKeyRotationOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: DisabledException_1.DisabledException
        },
        {
            shape: InvalidArnException_1.InvalidArnException
        },
        {
            shape: DependencyTimeoutException_1.DependencyTimeoutException
        },
        {
            shape: KMSInternalException_1.KMSInternalException
        },
        {
            shape: KMSInvalidStateException_1.KMSInvalidStateException
        },
        {
            shape: UnsupportedOperationException_1.UnsupportedOperationException
        }
    ]
};
//# sourceMappingURL=EnableKeyRotation.js.map