"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetKeyPolicyInput_1 = require("./GetKeyPolicyInput");
var GetKeyPolicyOutput_1 = require("./GetKeyPolicyOutput");
var NotFoundException_1 = require("./NotFoundException");
var InvalidArnException_1 = require("./InvalidArnException");
var DependencyTimeoutException_1 = require("./DependencyTimeoutException");
var KMSInternalException_1 = require("./KMSInternalException");
var KMSInvalidStateException_1 = require("./KMSInvalidStateException");
var ServiceMetadata_1 = require("./ServiceMetadata");
exports.GetKeyPolicy = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetKeyPolicy",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetKeyPolicyInput_1.GetKeyPolicyInput
    },
    output: {
        shape: GetKeyPolicyOutput_1.GetKeyPolicyOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: InvalidArnException_1.InvalidArnException
        },
        {
            shape: DependencyTimeoutException_1.DependencyTimeoutException
        },
        {
            shape: KMSInternalException_1.KMSInternalException
        },
        {
            shape: KMSInvalidStateException_1.KMSInvalidStateException
        }
    ]
};
//# sourceMappingURL=GetKeyPolicy.js.map